/*
 * SusenkaTest.java
 *
 * Created on 23. kvten 2004, 12:47
 */

package cz.vse.xkucf03.automat2;

/**
 * Testovaci trida
 *
 */
public class SusenkaTest extends junit.framework.TestCase {
    /**
     * Implicitni konstruktor pro testovaci tridu
     */
    public SusenkaTest() {
    }
    
    /**
     * Priprava pripravku.
     *
     * Volano pred kazdou testovaci metodou.
     */
    protected void setUp() {
    }
    
    /**
     * Uklid pripravku.
     *
     * Volano po ukonceni kazde testovaci metody.
     */
    protected void tearDown() {
    }
    
    public void testGetCena() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        
        assertEquals(10, n.getCena());
        
    }
    public void testGetCenaKc() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        
        assertEquals("10,- K" , n.getCenaKc());
        
    }
    public void testGetJmeno() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        
        assertEquals("jmeno", n.getJmeno());
        
    }
    public void testGetMnozstvi() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        
        assertEquals(50, n.getMnozstvi());
        
    }
    public void testIsDostupny() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        
        assertEquals(true, n.isDostupny());
        
    }
    public void testOdeber() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        n.odeber();
        assertEquals(49, n.getMnozstvi());
        
    }
    public void testSetMnozstvi() {
        cz.vse.xkucf03.automat2.Susenka n = new cz.vse.xkucf03.automat2.Susenka("jmeno", 10, 50);
        n.setMnozstvi(30);
        assertEquals(30, n.getMnozstvi());
    }
    
    
    
}
