/*
 * Ucty.java
 *
 * Created on 15. kvten 2004, 17:32
 */

package cz.vse.xkucf03.automat2;

/**
 *Tda obsahuje seznam t-uivatel,
 *slou k autorzaci uivatel i roota
 *m metodu pro pidn novho uivatele (tu)
 *
 * @author  x
 */
public class Ucty implements java.io.Serializable {
    
    public Uzivatel[] seznam;
    Uzivatel[] novySeznam;
    
    private static final String HESLO_ROOTA = "root";
    
    /** Creates a new instance of Ucty */
    public Ucty() {
        seznam = new Uzivatel[1];
        seznam[0] = new Uzivatel("Zkuebn uivatel", 250, "1234", "1234");
    }
    
    Uzivatel getUzivatel(java.lang.String ID, java.lang.String PIN) {
        Uzivatel vrat = null;
        for (int i = 0; i < seznam.length; i++) {
            if (seznam[i].overTotoznost(ID, PIN)) {
                vrat = seznam[i];
            }
        }
        return vrat;
    }
    
    /** Slou k autorizaci Roota */
    boolean getRoot(java.lang.String ID, java.lang.String PIN) {
        return (ID.matches("root") && PIN.matches(HESLO_ROOTA));
        
    }
    
    /** Vytvo nov et a vlo ho na konec seznamu t
     * Zadan parametry: Jmno, ID, PIN, Zstatek
     */
    public void addUcet(java.lang.String jmeno, java.lang.String ID, java.lang.String PIN, int zustatek) {
        novySeznam = new Uzivatel[seznam.length + 1];
        for (int i=0; i < seznam.length; i++) {
            novySeznam[i] = seznam[i];
        }
        novySeznam[seznam.length] = new Uzivatel(jmeno, zustatek, ID, PIN);
        seznam = novySeznam;
        
        
    }
    
}
