/*
 * Napoj.java
 *
 * Created on 15. kvten 2004, 17:47
 */

package cz.vse.xkucf03.automat2;

/**
 *Reprezentuje jeden druh zbo, konkrtn npoj
 *obsahuje daje o jmnu, cen a mnostv na sklad
 * @author  x
 */
public class Napoj implements Zbozi, java.io.Serializable {
    
    String jmeno;
    
        
    int cena;
    
    int mnozstvi;
    
    String cenaKc;
    
    boolean dostupny;
    
    /** Vytvo instanci a nastav jmno, cenu a mnostv*/
    public Napoj(String jmeno, int cena, int mnozstvi) {
        this.jmeno = jmeno;
        this.cena = cena;
        this.mnozstvi = mnozstvi;
        this.cenaKc = cena + ",- K";
        
        if (mnozstvi > 0)   {
            dostupny = true;
        }
        
        else {
            dostupny = false;
        }
    }
    
    /**vrac cenu jako cel slo*/
    public int getCena() {
        return cena;
    }
    
    /**vrac cenu jako etzec vetn ",- K"*/
    public String getCenaKc() {
        return cenaKc;
    }
    
    /**vrac jmno poloky*/
    public String getJmeno() {
        return jmeno;
    }
    
    /**vrac mnostv na sklad*/
    public int getMnozstvi() {
        return mnozstvi;
    }
    
    /**vrac true, pokud je v zseb alespo jedna poloka*/
    public boolean isDostupny() {
        return dostupny;
    }
    
    /**sn stav zsoby o 1*/
    public void odeber() {
        mnozstvi = mnozstvi - 1;
        if (mnozstvi > 0)   {
            dostupny = true;
        }
        
        else {
            dostupny = false;
        }
    }
    
    /** Dopln mnostv na poadovanou hodnotu
     * lze pout i ke snen stavu zbo
     */    
    public void setMnozstvi(int m) {
        mnozstvi = m;
        if (mnozstvi > 0)   {
            dostupny = true;
        }
        
        else {
            dostupny = false;
        }
    }
    
}
